Show All Folders
Show All Folders
GET
Retrieve folders.
Request
GET /v1/folder
Query Parameters
| Parameter | Type | Description |
|---|---|---|
entity | string | Optional. Filter by entity. Allowed values: candidate, contact, deal, job, organization. |
shared | boolean | Optional. Filter by shared status. |
sort_by | string | Optional. Allowed values: name, created_at, updated_at. Default: updated_at. |
sort_order | string | Optional. Allowed values: asc, desc. Default: desc. |
page | integer | Page number. Default: 1. |
limit | integer | Records per page. Default: 25. Requests above 50 are capped at 50. |
Request Example
GET /v1/folder?entity=candidate&sort_by=updated_at&sort_order=desc&page=1&limit=25
Response
200
{
"total": 1,
"per_page": 25,
"current_page": 1,
"last_page": 1,
"next_page_url": null,
"prev_page_url": null,
"from": 1,
"to": 1,
"data": [
{
"id": 42,
"entity": "candidate",
"name": "Engineering Candidates",
"description": "Shortlisted engineering candidates",
"shared": true,
"created_by": {
"id": 1
},
"updated_by": {
"id": 1
},
"created_at": "2026-07-24T10:15:00.000Z",
"updated_at": "2026-07-24T10:15:00.000Z"
}
]
}